package intrinsic.flash.events;

public class FocusEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public intrinsic.flash.display.InteractiveObject relatedObject;
	public int keyCode;
	public boolean shiftKey;

	/** Variables */

	/** Constants */
	public static final String MOUSE_FOCUS_CHANGE = "mouse_focus_change";
	public static final String KEY_FOCUS_CHANGE = "key_focus_change";
	public static final String FOCUS_OUT = "focus_out";
	public static final String FOCUS_IN = "focus_in";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FocusEvent() {
}

public FocusEvent(String arg0) {
}

public FocusEvent(String arg0, boolean arg1) {
}

public FocusEvent(String arg0, boolean arg1, boolean arg2) {
}

public FocusEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.display.InteractiveObject arg3) {
}

public FocusEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.display.InteractiveObject arg3, boolean arg4) {
}

public FocusEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.display.InteractiveObject arg3, boolean arg4, int arg5) {
}


/** Static Methods */

/** Methods */
public native Object clone();
public native String toString();

}
